﻿$topBarHeight: 70px;
$footerHeight: 40px;
$sideBarWidth: 200px;
$sidebarMinWidth: 50px;
$mainColor: #137A63;
$footerColor: #19382E;
$selectionColor: #5AA17F;
$borderColor: rgba(146,221,200,0.1);
$defaultMargin: 10px;

html {
    height: 100%;
}

body {
    height: 100%;
    margin: 0;
    overflow: hidden;
}

#layout {
    display: flex;
    flex-direction: column;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    width: 100%;
}

#header {
    height: $topBarHeight;
    display: flex;
    align-items: center;
    background-color: $mainColor;
    flex: 0 0 auto;
}

#headerContent {
    margin-left: $defaultMargin;
    display: inline-flex;
    flex: 1 0 auto;
    justify-content: space-between;
    align-items: center;
    color: white;
}

#headerContentLeft {
    justify-content: flex-start;
}

#headerContentRight {
    justify-content: flex-end;
}

#page {
    display: flex;
    height: calc(100vh);
    overflow: auto;
    flex-direction: row;
    /* calculate the height. Header is 30px */
}

#sideBar {
    width: $sideBarWidth;
    min-width: $sidebarMinWidth;
    display: flex;
    flex-direction: column;
    justify-content: flex-start; /* align items in Main Axis */
    align-items: stretch; /* align items in Cross Axis */
    align-content: stretch;
    border-right: 1px solid;
    border-color: $borderColor;
}

/* Sidebar links */
#sideBar a {
    display: block;
    padding: 16px;
    text-decoration: none;
}

/* Active/current link */
#sideBar a.active {
    background-color: $selectionColor;
    color: white;
}

#content {
    flex: 1 0 auto;
    overflow: auto;
    min-height: 0;
}

#footer {
    height: $footerHeight;
    display: flex;
    align-items: center;
    background-color: $footerColor;
    flex: 0 0 auto;
}

#footerContent {
    margin-left: $defaultMargin;
    display: inline-flex;
    flex: 1 0 auto;
    justify-content: right;
    align-items: center;
    color: white;
}

#headerContentLeft {
    justify-content: flex-start;
}

#footerContentRight {
    justify-content: flex-end;
    margin: $defaultMargin;
}

.content-fill {
    display: flex;
    justify-content: center;
}

.content-card {
    margin: $defaultMargin;
    min-width: 200px;
    justify-content: center;
}


a.title, .title.active {
    color: white;
    font-size: 22px;
}

.loader-box {
    width: 500px;
    height: 120px;
    margin: 100px auto;
    text-align: center;
    font-family: Consolas, Verdana;
    font-size: 10px;
}

/* On screens that are less than 400px, display the bar vertically, instead of horizontally */
@media screen and (max-width: 400px) {
    #sidebar {
        width: $sidebarMinWidth;
    }

    #sidebar a {
        text-align: center;
        float: none;
    }
}
